UpdateElectricalNode
PUT
/api/sites/{siteId}/electrical/nodes/{nodeId}
const url = 'https://demo.consystence.com/api/sites/example/electrical/nodes/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","nodeType":0,"ratedVoltageV":1,"ratedCurrentA":1,"ratedPowerKw":1,"impedanceOhms":1,"cableSize":"example","cableLengthM":1,"protectionCurve":"example","protectionPickupA":1,"protectionTms":1,"description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://demo.consystence.com/api/sites/example/electrical/nodes/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "nodeType": 0, "ratedVoltageV": 1, "ratedCurrentA": 1, "ratedPowerKw": 1, "impedanceOhms": 1, "cableSize": "example", "cableLengthM": 1, "protectionCurve": "example", "protectionPickupA": 1, "protectionTms": 1, "description": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
nodeId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
nodeType
integer format: int32
ratedVoltageV
number format: double
ratedCurrentA
number format: double
ratedPowerKw
number format: double
impedanceOhms
number format: double
cableSize
string
cableLengthM
number format: double
protectionCurve
string
protectionPickupA
number format: double
protectionTms
number format: double
description
string
Responses
Section titled “Responses”OK